GSELNT(3NCARG)

NAME
GSELNT (Select normalization transformation) - selects a predefined or user-defined transformation that maps world coordinates to normalized device coordinates.

SYNOPSIS
CALL GSELNT (TRNUM)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void gsel_norm_tran(Gint tran_num);

DESCRIPTION

TRNUM
    (Integer, Input) - A normalization transformation number. The number of available transformations is implementation specific. In the case of NCAR GKS-0A, two normalization transformations are provided:

    0   Selects the identity transformation in which both the window and viewport have the range of 0. to 1. in both coordinate directions. This is the default.

    1   Selects a normalization transformation in which the window and viewport have been defined by calls to GSWN and GSVP.

USAGE
When a normalization transformation is selected, all world coordinate arguments to GKS functions are transformed by it.

ACCESS
To use GKS routines, load the NCAR GKS-0A library ncarg_gks.

SEE ALSO
Online: set, gsup, gswn, gqclip, gsel_norm_tran

Hardcopy: NCAR Graphics Fundamentals, UNIX Version; User's Guide for NCAR GKS-0A Graphics

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.